import java.util.Date;



public class TestSimpleP2PClient {
	
	public static void main(String[] args) throws Exception {
		int port = Integer.parseInt( args[0] ) ;
		int destinyPort = Integer.parseInt( args[1] ) ;
		
		//Console.promptln("PRESS ENTER TO CONNECT") ;
		
		SimpleP2PClient client = new SimpleP2PClient(port) ;
		
		client.setListener(new SimpleP2PClientListener() {
			public void onReceiveMessage(SimpleP2PClient client, SimpleP2PMsg msg) {
				try {
					System.out.println("MSG> "+ msg);
					msg.replyMessage("Hy", "response test", new Date()) ;
				}
				catch (Exception e) {
					e.printStackTrace() ;
				}
			}
		});
		
		Console.promptln("PRESS ENTER TO SEND MESSAGE") ;
		
		String destinyHost = "localhost:"+destinyPort ;
		
		SimpleP2PMsg msg = client.sendMessage(destinyHost, "hello", "this is a test", new Date()) ;
		
		Console.promptln("PRESS ENTER TO READ MESSAGE") ;
		
		SimpleP2PMsg resp = msg.readResponse() ;
		
		System.out.println(resp);
		
		
	}

}
